## org.eclipse.m2m.qvt.oml.debug.core.vm.protocol
Class VMStackFrameRequest

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.VMRequest
          org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.VMStackFrameRequest

All Implemented Interfaces:
  java.io.Serializable

    public class VMStackFrameRequest

extends VMRequest
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`long` `frameID`
`java.lang.String` `variableURI`

Constructor Summary
`VMStackFrameRequest(long frameID)`
`VMStackFrameRequest(long frameID, java.lang.String variableURI)`

Method Summary
`boolean` `rootVariablesRequest()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### frameID

    public final long frameID

### variableURI

    public final java.lang.String variableURI

Constructor Detail

### VMStackFrameRequest

    public VMStackFrameRequest(long frameID)

### VMStackFrameRequest

    public VMStackFrameRequest(long frameID,
                               java.lang.String variableURI)

Method Detail

### rootVariablesRequest

    public boolean rootVariablesRequest()

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.